/**
 * cudian-collapse.js
 * @author 流浪男
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 */
(function( window, undefined ) {
    "use strict";
    var auiCollapse = function(params) {
        this.init(params);
    };
    auiCollapse.prototype = {
        init: function(params,callback){
            var collapseHeader = document.querySelectorAll(".cudian-collapse-header");
            if(collapseHeader.length){
                for(var i=0;i<collapseHeader.length;i++){
                    (function(e){
                        collapseHeader[e].onclick = function(){
                            if(collapseHeader[e].nextSibling.nextElementSibling.className.indexOf("cudian-collapse-content") > -1){
                                if(collapseHeader[e].nextSibling.nextElementSibling.className.indexOf("cudian-show") > -1){
                                    collapseHeader[e].nextSibling.nextElementSibling.classList.remove("cudian-show");
                                    collapseHeader[e].classList.remove("cudian-active");
                                }else{
                                    if(params.autoHide){
                                        if(document.querySelector(".cudian-collapse-header.cudian-active")){
                                            document.querySelector(".cudian-collapse-header.cudian-active").classList.remove("cudian-active");
                                        }
                                        if(document.querySelector(".cudian-collapse-content.cudian-show")){
                                            document.querySelector(".cudian-collapse-content.cudian-show").classList.remove("cudian-show");
                                        }
                                    }

                                    collapseHeader[e].nextSibling.nextElementSibling.classList.toggle("cudian-show");
                                    collapseHeader[e].classList.toggle("cudian-active");
                                }
                            }
                        }
                    })(i)
                }
            }
        }
    };
	window.auiCollapse = auiCollapse;
})(window);